com.genesyslab.wfm8.API.service.config852

## Class CfgCarpoolFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgCarpoolFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgCarpoolFilter
      extends java.lang.Object
      implements java.io.Serializable

  Carpool request filter definition
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmAgentStatus` List of requested Agent status in Carpool (`ECfgCarpoolAgentStatus`)
    `protected int` | `wmAgentStatusNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmBUId` List of BU ID that returned Carpools should belong to
    `protected int` | `wmBUIdNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmCarpoolId` List of Carpool IDs, if any
    `protected int` | `wmCarpoolIdNSizeIs`
    `protected java.lang.String` | `wmCarpoolName` Carpool name filter (Carpool name should begin with specified string)
    `protected java.util.List<java.lang.Integer>` | `wmCarpoolStatus` List of requested Carpool status (`ECfgCarpoolStatus`)
    `protected int` | `wmCarpoolStatusNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId` List of Site ID that returned Carpools should belong to
    `protected int` | `wmSiteIdNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgCarpoolFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getWmAgentStatus()` Gets the value of the wmAgentStatus property.
    `int` | `getWmAgentStatusNSizeIs()` Gets the value of the wmAgentStatusNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmBUIdNSizeIs()` Gets the value of the wmBUIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmCarpoolId()` Gets the value of the wmCarpoolId property.
    `int` | `getWmCarpoolIdNSizeIs()` Gets the value of the wmCarpoolIdNSizeIs property.
    `java.lang.String` | `getWmCarpoolName()` Gets the value of the wmCarpoolName property.
    `java.util.List<java.lang.Integer>` | `getWmCarpoolStatus()` Gets the value of the wmCarpoolStatus property.
    `int` | `getWmCarpoolStatusNSizeIs()` Gets the value of the wmCarpoolStatusNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `hashCode()`
    `void` | `setWmAgentStatus(java.util.List<java.lang.Integer> wmAgentStatus)` Sets the value of the wmAgentStatus property.
    `void` | `setWmAgentStatusNSizeIs(int value)` Sets the value of the wmAgentStatusNSizeIs property.
    `void` | `setWmBUId(java.util.List<java.lang.Integer> wmBUId)` Sets the value of the wmBUId property.
    `void` | `setWmBUIdNSizeIs(int value)` Sets the value of the wmBUIdNSizeIs property.
    `void` | `setWmCarpoolId(java.util.List<java.lang.Integer> wmCarpoolId)` Sets the value of the wmCarpoolId property.
    `void` | `setWmCarpoolIdNSizeIs(int value)` Sets the value of the wmCarpoolIdNSizeIs property.
    `void` | `setWmCarpoolName(java.lang.String value)` Sets the value of the wmCarpoolName property.
    `void` | `setWmCarpoolStatus(java.util.List<java.lang.Integer> wmCarpoolStatus)` Sets the value of the wmCarpoolStatus property.
    `void` | `setWmCarpoolStatusNSizeIs(int value)` Sets the value of the wmCarpoolStatusNSizeIs property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgCarpoolFilter` | `withWmAgentStatus(java.util.Collection<java.lang.Integer> values)`
    `CfgCarpoolFilter` | `withWmAgentStatus(java.lang.Integer... values)`
    `CfgCarpoolFilter` | `withWmAgentStatusNSizeIs(int value)`
    `CfgCarpoolFilter` | `withWmBUId(java.util.Collection<java.lang.Integer> values)`
    `CfgCarpoolFilter` | `withWmBUId(java.lang.Integer... values)`
    `CfgCarpoolFilter` | `withWmBUIdNSizeIs(int value)`
    `CfgCarpoolFilter` | `withWmCarpoolId(java.util.Collection<java.lang.Integer> values)`
    `CfgCarpoolFilter` | `withWmCarpoolId(java.lang.Integer... values)`
    `CfgCarpoolFilter` | `withWmCarpoolIdNSizeIs(int value)`
    `CfgCarpoolFilter` | `withWmCarpoolName(java.lang.String value)`
    `CfgCarpoolFilter` | `withWmCarpoolStatus(java.util.Collection<java.lang.Integer> values)`
    `CfgCarpoolFilter` | `withWmCarpoolStatus(java.lang.Integer... values)`
    `CfgCarpoolFilter` | `withWmCarpoolStatusNSizeIs(int value)`
    `CfgCarpoolFilter` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgCarpoolFilter` | `withWmSiteId(java.lang.Integer... values)`
    `CfgCarpoolFilter` | `withWmSiteIdNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBUIdNSizeIs

          protected int wmBUIdNSizeIs

    - #### wmBUId

          protected java.util.List<java.lang.Integer> wmBUId

      List of BU ID that returned Carpools should belong to

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

      List of Site ID that returned Carpools should belong to

    - #### wmCarpoolIdNSizeIs

          protected int wmCarpoolIdNSizeIs

    - #### wmCarpoolId

          protected java.util.List<java.lang.Integer> wmCarpoolId

      List of Carpool IDs, if any

    - #### wmCarpoolStatusNSizeIs

          protected int wmCarpoolStatusNSizeIs

    - #### wmCarpoolStatus

          protected java.util.List<java.lang.Integer> wmCarpoolStatus

      List of requested Carpool status (`ECfgCarpoolStatus`)

    - #### wmAgentStatusNSizeIs

          protected int wmAgentStatusNSizeIs

    - #### wmAgentStatus

          protected java.util.List<java.lang.Integer> wmAgentStatus

      List of requested Agent status in Carpool (`ECfgCarpoolAgentStatus`)

    - #### wmCarpoolName

          protected java.lang.String wmCarpoolName

      Carpool name filter (Carpool name should begin with specified string)

  - ### Constructor Detail

    - #### CfgCarpoolFilter

          public CfgCarpoolFilter()

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the value of the wmBUIdNSizeIs property.

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int value)

      Sets the value of the wmBUIdNSizeIs property.

    - #### getWmBUId

          public java.util.List<java.lang.Integer> getWmBUId()

      Gets the value of the wmBUId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmBUId property.

      For example, to add a new item, do as follows:

              getWmBUId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmCarpoolIdNSizeIs

          public int getWmCarpoolIdNSizeIs()

      Gets the value of the wmCarpoolIdNSizeIs property.

    - #### setWmCarpoolIdNSizeIs

          public void setWmCarpoolIdNSizeIs(int value)

      Sets the value of the wmCarpoolIdNSizeIs property.

    - #### getWmCarpoolId

          public java.util.List<java.lang.Integer> getWmCarpoolId()

      Gets the value of the wmCarpoolId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmCarpoolId property.

      For example, to add a new item, do as follows:

              getWmCarpoolId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmCarpoolStatusNSizeIs

          public int getWmCarpoolStatusNSizeIs()

      Gets the value of the wmCarpoolStatusNSizeIs property.

    - #### setWmCarpoolStatusNSizeIs

          public void setWmCarpoolStatusNSizeIs(int value)

      Sets the value of the wmCarpoolStatusNSizeIs property.

    - #### getWmCarpoolStatus

          public java.util.List<java.lang.Integer> getWmCarpoolStatus()

      Gets the value of the wmCarpoolStatus property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmCarpoolStatus property.

      For example, to add a new item, do as follows:

              getWmCarpoolStatus().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmAgentStatusNSizeIs

          public int getWmAgentStatusNSizeIs()

      Gets the value of the wmAgentStatusNSizeIs property.

    - #### setWmAgentStatusNSizeIs

          public void setWmAgentStatusNSizeIs(int value)

      Sets the value of the wmAgentStatusNSizeIs property.

    - #### getWmAgentStatus

          public java.util.List<java.lang.Integer> getWmAgentStatus()

      Gets the value of the wmAgentStatus property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgentStatus property.

      For example, to add a new item, do as follows:

              getWmAgentStatus().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmCarpoolName

          public java.lang.String getWmCarpoolName()

      Gets the value of the wmCarpoolName property.
      Returns:
        possible object is `String`

    - #### setWmCarpoolName

          public void setWmCarpoolName(java.lang.String value)

      Sets the value of the wmCarpoolName property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmBUIdNSizeIs

          public CfgCarpoolFilter withWmBUIdNSizeIs(int value)

    - #### withWmBUId

          public CfgCarpoolFilter withWmBUId(java.lang.Integer... values)

    - #### withWmBUId

          public CfgCarpoolFilter withWmBUId(java.util.Collection<java.lang.Integer> values)

    - #### withWmSiteIdNSizeIs

          public CfgCarpoolFilter withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgCarpoolFilter withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgCarpoolFilter withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmCarpoolIdNSizeIs

          public CfgCarpoolFilter withWmCarpoolIdNSizeIs(int value)

    - #### withWmCarpoolId

          public CfgCarpoolFilter withWmCarpoolId(java.lang.Integer... values)

    - #### withWmCarpoolId

          public CfgCarpoolFilter withWmCarpoolId(java.util.Collection<java.lang.Integer> values)

    - #### withWmCarpoolStatusNSizeIs

          public CfgCarpoolFilter withWmCarpoolStatusNSizeIs(int value)

    - #### withWmCarpoolStatus

          public CfgCarpoolFilter withWmCarpoolStatus(java.lang.Integer... values)

    - #### withWmCarpoolStatus

          public CfgCarpoolFilter withWmCarpoolStatus(java.util.Collection<java.lang.Integer> values)

    - #### withWmAgentStatusNSizeIs

          public CfgCarpoolFilter withWmAgentStatusNSizeIs(int value)

    - #### withWmAgentStatus

          public CfgCarpoolFilter withWmAgentStatus(java.lang.Integer... values)

    - #### withWmAgentStatus

          public CfgCarpoolFilter withWmAgentStatus(java.util.Collection<java.lang.Integer> values)

    - #### withWmCarpoolName

          public CfgCarpoolFilter withWmCarpoolName(java.lang.String value)

    - #### setWmBUId

          public void setWmBUId(java.util.List<java.lang.Integer> wmBUId)

      Sets the value of the wmBUId property.
      Parameters:
        `wmBUId` - allowed object is `Integer`

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmCarpoolId

          public void setWmCarpoolId(java.util.List<java.lang.Integer> wmCarpoolId)

      Sets the value of the wmCarpoolId property.
      Parameters:
        `wmCarpoolId` - allowed object is `Integer`

    - #### setWmCarpoolStatus

          public void setWmCarpoolStatus(java.util.List<java.lang.Integer> wmCarpoolStatus)

      Sets the value of the wmCarpoolStatus property.
      Parameters:
        `wmCarpoolStatus` - allowed object is `Integer`

    - #### setWmAgentStatus

          public void setWmAgentStatus(java.util.List<java.lang.Integer> wmAgentStatus)

      Sets the value of the wmAgentStatus property.
      Parameters:
        `wmAgentStatus` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.